#pragma once
// User configurable settings

#define DEBUG

//#define LIGHTTEST

// Total LED count
// set to 128*8 for 4 channel, 170*8 for 3 channel
#define MAX_LEDS 170*8

//#define RGBW_MODE
// Amount of color channels per pixel - i.e. RGB = 3, RGBW = 4
#ifdef RGBW_MODE    
    #define PIXEL_SIZE 4
#else
    #define PIXEL_SIZE 3    
#endif

// LED driver chip model - depends on strip
#define LED_TYPE WS2812

// RGB pin ordering - RGB, BGR, GBR, etc
//#define RGB_ORDER GBR
#define RGB_ORDER GRB

// Max number of LED strips connected
// 8 for ARGB Controller PCB
#define LED_STRIPS 8

// Define the data pin connection to each strip
// 0-7 for ARGB Controller PCB
#define STRIP1 0
// #define STRIP2 1
// #define STRIP3 2
// #define STRIP4 3
// #define STRIP5 4
// #define STRIP6 5
// #define STRIP7 6
// #define STRIP8 7

// enable pin, if any
// 8 on ARGB controller
#define ENABLEPIN 8

// define how many LEDs / zones are in each strip


#define ENABLE_NTP false
#define ntpserver "pool.ntp.org"   // Address of NTP server. Example: pool.ntp.org

#define TEMP_SAMPLES 32
#define AIRTEMP_PIN 28

// ethernet (w5500) or wifi (pico W cyw43)
#define INT_ETHERNET
//#define INT_WIFI

#define NO_DOUBLE_BUFFER 1
#define E131_DEFAULT_PORT 5568

#define ETH_SPI_SPD 64000000

// network and universe settings

// WebUI + EEPROM config
// to allow for changing settings without recompiling

extern IPAddress IP_ADDR;

extern unsigned short START_UNIVERSE;
extern char HOSTNAME[64];

extern String ETH_MODE;


#define update_path "/update"
#define update_username "admin"
#define update_password "Password@123"

